Package org.eclipse.emf.cdo.common.revision

# Interface CDORevisionHandler

All Known Subinterfaces:
  `CDOServerImporter.Handler`, `CDOServerImporter.Handler2`

All Known Implementing Classes:
  `CDORevisionHandler.Filtered`, `CDORevisionHandler.Filtered.Undetached`, `StoreAccessorBase.CommitDataRevisionHandler`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface CDORevisionHandler
A call-back interface that indicates the ability to handle `revisions` that are passed from other entities.

Since:
  3.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CDORevisionHandler.Filtered`
A delegating `revision handler` with a `filter()` method used to suppress specific revisions.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handleRevision(CDORevision revision)`
Handles a revision.

## Method Details

### handleRevision

boolean handleRevision(CDORevision revision)
Handles a revision.

Returns:
  `true` to indicate that the caller may pass more revisions, `false` otherwise.
Since:
  4.0